nodejs-require-cs-0.4.4-1.el6.noarch.rpm


Advertisement

Description

nodejs-require-cs - An AMD loader plugin for CoffeeScript

Property Value
Distribution CentOS 6
Repository EPEL x86_64
Package name nodejs-require-cs
Package version 0.4.4
Package release 1.el6
Package architecture noarch
Package type rpm
Installed size 100.35 KB
Download size 33.06 KB
Official Mirror dl.fedoraproject.org
A CoffeeScript loader plugin that may work with module loaders like
RequireJS, curl and backdraft.
This loader plugin makes it easy to write your JS functionality in
CoffeeScript, and easily use it in the browser, Node or Rhino. Plus,
if you use the RequireJS optimizer, your CoffeeScript files can be
translated to JavaScript and in-lined into optimized layers for fast
performance.

Alternatives

Package Version Architecture Repository
nodejs-require-cs-0.4.4-1.el6.noarch.rpm 0.4.4 noarch EPEL
nodejs-require-cs - - -

Requires

Name Value
/usr/lib/node_modules/requirejs/bin/r.js -
/usr/share/coffee-script/extras/coffee-script.js -
nodejs(engine) -
npm(coffee-script) >= 1.2.0

Provides

Name Value
nodejs-require-cs = 0.4.4-1.el6
npm(require-cs) = 0.4.4

Download

Type URL
Binary Package nodejs-require-cs-0.4.4-1.el6.noarch.rpm
Source Package nodejs-require-cs-0.4.4-1.el6.src.rpm

Install Howto

  1. Download the latest epel-release rpm from
    http://dl.fedoraproject.org/pub/epel/6/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install nodejs-require-cs rpm package:
    # yum install nodejs-require-cs

Files

Path
/usr/lib/node_modules/require-cs/coffee-script.js
/usr/lib/node_modules/require-cs/cs.js
/usr/lib/node_modules/require-cs/package.json
/usr/lib/node_modules/require-cs/node_modules/coffee-script
/usr/lib/node_modules/require-cs/tools/r.js
/usr/share/doc/nodejs-require-cs-0.4.4/LICENSE
/usr/share/doc/nodejs-require-cs-0.4.4/README.md
/usr/share/doc/nodejs-require-cs-0.4.4/demoserver.js
/usr/share/doc/nodejs-require-cs-0.4.4/demo/build.js
/usr/share/doc/nodejs-require-cs-0.4.4/demo/build.sh
/usr/share/doc/nodejs-require-cs-0.4.4/demo/index.html
/usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/controller.coffee
/usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/csmain.coffee
/usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/domReady.js
/usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/main.js
/usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/regular.js
/usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/require.js
/usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/util.coffee
/usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/view.coffee

Changelog

2013-07-28 - Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.4-1
- update to upstream release 0.4.4
- restrict to compatible arches
- upstream have now included a LICENSE file so use that instead
2013-03-17 - Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.3-2
- add copies of the MIT and BSD licenses to comply with licensing requirements
2013-03-17 - Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.3-1
- initial package

See Also

Package Description
nodejs-require-uncached-1.0.2-1.el6.noarch.rpm Require a module bypassing the cache
nodejs-requirejs-2.1.11-3.el6.noarch.rpm Node.js adapter for RequireJS, for loading AMD modules
nodejs-resolve-0.5.0-1.el6.noarch.rpm Resolve like require.resolve() on behalf of files asynchronously/synchronously
nodejs-resolve-from-1.0.0-1.el6.noarch.rpm Resolve the path of a module like require.resolve() but from a given path
nodejs-response-time-1.0.0-1.el6.noarch.rpm X-Response-Time header for Node.js and Connect
nodejs-retry-0.6.0-5.el6.noarch.rpm Retry strategies for failed operations
nodejs-revalidator-0.1.7-1.el6.noarch.rpm A cross-browser/Node.js validator used by resourceful
nodejs-rhea-0.2.17-1.el6.noarch.rpm A reactive messaging library based on the AMQP protocol
nodejs-rimraf-2.2.2-1.el6.noarch.rpm A deep deletion module for node.js
nodejs-ronn-0.4.0-4.el6.noarch.rpm Markdown to roff/html converter
nodejs-runforcover-0.0.2-4.el6.noarch.rpm Require plugin for JS code coverage
nodejs-sax-0.6.0-1.el6.noarch.rpm A streaming SAX-style XML parser in JavaScript for Node.js
nodejs-scmp-0.0.3-2.el6.noarch.rpm Constant-time string comparison intended to be safer against timing attacks
nodejs-semver-2.1.0-1.el6.noarch.rpm Semantic versioner for npm
nodejs-send-0.3.0-4.el6.noarch.rpm Better streaming static file server with Range and conditional-GET support
Advertisement
Advertisement